<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" href="./style.css">
        <title>Homework javascript</title>
    </head>
    <body>
        <div class="wrapper">
            <h2>Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.</h2>
            <p>У програмуванні цикли використовуються для того, щоб виконати певний блок коду багато разів. Це дозволяє зменшити кількість коду та сильно полегшує роботу</p>
            <h2>Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.</h2>
            <p>Наприклад у минулому домашньому завданні я використала цикл "while", щоб при невалідному введені віку/ім'я користувача просили ввести дані знову, поки вимога не буде виконана. </p>
            <h2>Що таке явне та неявне приведення (перетворення) типів даних у JS?</h2>
            <p>Явним перетворенням можна назвати використання таких функцій як: parseInt(), parseFloat(), String(), Number(), Boolean(), і т.д.  А неявне відбувається автоматично під час виконання операцій. Наприклад при додаванні string і number відбудеться неявне перетворення й число стане string </p>
        </div>

        <script src="./script.js"></script>
    </body>
</html>